=== debian/changelog ===
xlibre-server (2:25.0.0.12-1+5gnuinos1) unstable; urgency=medium

  * Fork for Devuan
  * Patch to use libseat for seat management
  * New upstream version 25.0.0.12

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 28 Sep 2025 12:02:52 +0200

xlibre-server (2:25.0.0.11-2) unstable; urgency=medium

  * control: Pin Provides xserver-xorg-core to 2:21.98

 -- apebl <a@pebl.cc>  Fri, 05 Sep 2025 08:20:56 +0000

xlibre-server (2:25.0.0.11-1) unstable; urgency=medium

  * New upstream version 25.0.0.11

 -- apebl <a@pebl.cc>  Tue, 02 Sep 2025 08:22:38 +0000

xlibre-server (2:25.0.0.9-4) unstable; urgency=medium

  * control: Update conflicts/provides for xserver-xlibre-core
  * Keep systemd-dev build-dep even on nosystemd build

 -- apebl <a@pebl.cc>  Sat, 30 Aug 2025 09:24:54 +0000

xlibre-server (2:25.0.0.9-3) unstable; urgency=medium

  * Use nosystemd profile for optional systemd

 -- apebl <a@pebl.cc>  Sun, 24 Aug 2025 01:22:35 +0000

xlibre-server (2:25.0.0.9-2) unstable; urgency=medium

  * debian/rules: Disable xinerama in udeb build

 -- apebl <a@pebl.cc>  Fri, 22 Aug 2025 23:49:39 +0000

xlibre-server (2:25.0.0.9-1) unstable; urgency=medium

  * New upstream version 25.0.0.9

 -- apebl <a@pebl.cc>  Wed, 20 Aug 2025 14:53:55 +0000

xlibre-server (2:25.0.0.8-3) unstable; urgency=medium

  * debian/not-installed: Add Xserver-DTrace docs

 -- apebl <a@pebl.cc>  Tue, 19 Aug 2025 11:53:50 +0000

xlibre-server (2:25.0.0.8-2) unstable; urgency=medium

  * Update THIS_PACKAGE in debian/xserver-xlibre-legacy.*
  * d/control: Replace x11-common with xlibre version
  * debian/control: Pin versions in Provides fields
  * debian/gbp.conf: Use DEP-14 style branches
  * d/copyright: Add 2025 copyright for Enrico Weigelt

 -- apebl <a@pebl.cc>  Mon, 18 Aug 2025 07:12:47 +0000

xlibre-server (2:25.0.0.8-1) unstable; urgency=low

  * First xlibre-server release.

 -- apebl <a@pebl.cc>  Sun, 10 Aug 2025 23:41:00 +0000
