=== debian/control ===
Source: xlibre-server
Section: x11
Priority: optional
Maintainer: Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
Uploaders: apebl <a@pebl.cc>
Build-Depends:
 debhelper-compat (= 12),
 po-debconf,
 quilt,
 pkgconf,
 bison,
 flex,
 xutils-dev (>= 1:7.6+4),
 xfonts-utils (>= 1:7.5+1),
 x11proto-dev (>= 2024.1-1),
 xtrans-dev (>= 1.3.5),
 libxau-dev (>= 1:1.0.5-2),
 libxcvt-dev,
 libxdmcp-dev (>= 1:0.99.1),
 libxfont-dev (>= 1:2.0.1),
 libxkbfile-dev (>= 1:0.99.1),
 libpixman-1-dev (>= 0.27.2),
 libpciaccess-dev (>= 0.12.901),
 nettle-dev,
 libeudev-dev (>= 3.2.12~) [linux-any] | libudev-compat-dev (>= 3.2.12~) [linux-any],
 libselinux1-dev (>= 2.0.80) [linux-any],
 libaudit-dev [linux-any],
 libdrm-dev (>= 2.4.107-5~) [!hurd-any],
 libglvnd-dev,
 mesa-common-dev,
 libunwind-dev [amd64 arm64 armel hppa i386 ia64 mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
 libxmuu-dev (>= 1:0.99.1),
 libxext-dev (>= 1:0.99.1),
 libx11-dev (>= 2:1.6),
 libxrender-dev (>= 1:0.9.0),
 libxi-dev (>= 2:1.8),
 libxpm-dev (>= 1:3.5.3),
 libxaw7-dev (>= 1:0.99.1),
 libxt-dev (>= 1:0.99.1),
 libxmu-dev (>= 1:0.99.1),
 libxtst-dev (>= 1:0.99.1),
 libxres-dev (>= 1:0.99.1),
 libxfixes-dev (>= 1:3.0.0),
 libxv-dev,
 libxinerama-dev,
 libxshmfence-dev (>= 1.1) [!hurd-any],
 libepoxy-dev [linux-any kfreebsd-any],
 libegl1-mesa-dev [linux-any kfreebsd-any],
 libgbm-dev (>= 10.2) [linux-any kfreebsd-any],
 libx11-xcb-dev,
 libxcb1-dev,
 libxcb-xkb-dev,
 libxcb-shape0-dev,
 libxcb-render0-dev,
 libxcb-render-util0-dev,
 libxcb-util-dev,
 libxcb-image0-dev,
 libxcb-icccm4-dev,
 libxcb-shm0-dev,
 libxcb-keysyms1-dev,
 libxcb-randr0-dev,
 libxcb-xv0-dev,
 libxcb-glx0-dev,
 libxcb-xf86dri0-dev (>= 1.6),
 xauth <!nocheck>,
 xkb-data,
 x11-utils <!nocheck>,
 x11-xkb-utils,
 libbsd-dev,
 libdbus-1-dev (>= 1.0) [linux-any] <!nosystemd>,
 libelogind-dev [linux-any] <!nosystemd>,
# nosystemd build still requires this for udev.pc:
# systemd-dev [linux-any],
 meson,
# seat management
 libseat-dev,
Build-Depends-Indep: xz-utils
Standards-Version: 3.9.8
Rules-Requires-Root: binary-targets
Origin: Gnuinos
Vcs-Git: https://github.com/xlibre-deb/xlibre-server.git
Vcs-Browser: https://github.com/xlibre-deb/xlibre-server
Homepage: https://github.com/X11Libre

Package: xserver-xlibre-core
Architecture: any
Depends:
 xserver-xlibre-common (>= ${source:Version}),
 keyboard-configuration [linux-any kfreebsd-any],
 eudev (>= 3.2.12~) [linux-any] | vdev (>= 1.3.64~) [linux-any],
 devd [kfreebsd-any],
 libegl1 [linux-any kfreebsd-any],
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 libgl1-mesa-dri (>= 7.10.2-4),
 default-logind | logind,
 xcvt,
Suggests: xfonts-100dpi | xfonts-75dpi, xfonts-scalable
Breaks:
 libgl1-mesa-dri (<< 18.0.5),
 xserver-xorg (<< 1:7.7+10~),
 systemd (<< 226-4~),
Replaces:
 xserver-xorg-video-modesetting,
 xserver-xorg (<< 1:7.7+10~),
Conflicts:
 xserver-xorg-core,
 xserver-xorg-input-evtouch,
 xserver-xorg-video-modesetting,
Provides:
 xserver-xorg-core (= 2:21.98),
 ${videoabi},
 ${inputabi},
 xserver-xorg-video-modesetting,
Description: XLibre X server - core server
 The XLibre X server is an X server for several architectures and operating
 systems, which is derived from the XFree86 4.x series of X servers.
 .
 The XLibre server supports most modern graphics hardware from most vendors,
 and supersedes all XFree86 X servers.
 .
 More information about XLibre can be found at:
 <URL:https://github.com/X11Libre/xserver>
 .
 This package is built from the XLibre xserver module.

Package: xserver-xlibre-core-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 xkb-data-udeb,
 x11-xkb-utils-udeb,
 eudev-udeb (>= 3.2.12~) | vdev-udeb (>= 1.3.64~),
 devd-udeb [kfreebsd-any],
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 xserver-xorg-core-udeb (= ${binary:Version}),
 ${videoabi},
 ${inputabi},
Description: XLibre X server - core server
 This is a udeb, or a microdeb, for the debian-installer.
Conflicts:
 xserver-xorg-core-udeb,

Package: xserver-xlibre-dev
Architecture: any
Depends:
 libpixman-1-dev (>= 0.27.2),
 x11proto-dev (>= 2024.1),
 libxcvt-dev,
 libxfont-dev,
 libxkbfile-dev,
 libpciaccess-dev,
 mesa-common-dev,
 ${misc:Depends},
Description: XLibre X server - development files
 This package provides development files for the XLibre ('XLibre') X server.
 This is not quite the same as the DDK (Driver Development Kit) from the
 XFree86 4.x and X.Org 6.7, 6.8 and 6.9 series of servers; it provides
 headers and a pkg-config file for drivers using autotools to build
 against.
 .
 Unless you are developing or building a driver, you probably want
 xserver-xlibre and/or xserver-xlibre-core instead.
 .
 More information about XLibre can be found at:
 <URL:https://github.com/X11Libre/xserver>
 .
 This package is built from the XLibre xserver module.
Provides:
 xserver-xorg-dev (= ${binary:Version}),
Conflicts:
 xserver-xorg-dev,

Package: xserver-xlibre-xnest
Architecture: any
Depends:
 xserver-xlibre-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libgl1-mesa-dri (>= 7.1~rc1)
Provides:
 xnest (= ${binary:Version}),
 xserver
Description: Nested X server
 Xnest is a nested X server that simply relays all its requests to another
 X server, where it runs as a client.  This means that it appears as another
 window in your current X session.  Xnest relies upon its parent X server
 for font services.
 .
 Use of the Xephyr X server instead of Xnest is recommended.
 .
 More information about XLibre can be found at:
 <URL:https://github.com/X11Libre/xserver>
 .
 This package is built from the XLibre xserver module.
Conflicts:
 xnest,

Package: xserver-xlibre-xvfb
Architecture: any
Depends:
 xserver-xlibre-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: xauth
Provides:
 xvfb (= ${binary:Version}),
 xserver
Multi-Arch: foreign
Description: Virtual Framebuffer 'fake' X server
 Xvfb provides an X server that can run on machines with no display hardware
 and no physical input devices. It emulates a dumb framebuffer using virtual
 memory. The primary use of this server was intended to be server testing,
 but other novel uses for it have been found, including testing clients
 against unusual depths and screen configurations, doing batch processing with
 Xvfb as a background rendering engine, load testing, as an aid to porting the
 X server to a new platform, and providing an unobtrusive way to run
 applications that don't really need an X server but insist on having one
 anyway.
 .
 This package also contains a convenience script called xvfb-run which
 simplifies the automated execution of X clients in a virtual server
 environment. This convenience script requires the use of the xauth
 program.
 .
 More information about XLibre can be found at:
 <URL:https://github.com/X11Libre/xserver>
 .
 This package is built from the XLibre xserver module.
Conflicts:
 xvfb,

Package: xserver-xlibre-xephyr
Architecture: any
Depends:
 xserver-xlibre-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libgl1-mesa-dri (>= 7.1~rc1)
Provides:
 xserver-xephyr (= ${binary:Version}),
 xserver
Description: nested X server
 Xephyr is an X server that can be run inside another X server,
 much like Xnest. It is based on the kdrive X server, and as a
 result it supports newer extensions than Xnest, including render and
 composite.
 .
 More information about XLibre can be found at:
 <URL:https://github.com/X11Libre/xserver>
 .
 This package is built from the XLibre xserver module.
Conflicts:
 xserver-xephyr,

Package: xserver-xlibre-common
Architecture: all
Multi-Arch: foreign
Depends:
 xlibre-x11-common,
 xkb-data,
 x11-xkb-utils,
 ${misc:Depends},
Recommends:
 xfonts-base,
 xauth,
Replaces: xserver-xorg-core (<< 2:1.5.2)
Description: common files used by various X servers
 This package provides files necessary for all XLibre based X servers.
Provides:
 xserver-common (= ${binary:Version}),
Conflicts:
 xserver-common,

Package: xlibre-server-source
Architecture: all
Depends:
 ${misc:Depends},
Description: XLibre X server - source files
 This package provides original Debian (with Debian patches already
 applied, and autotools files updated) sources for the XLibre ('XLibre')
 X server shipped in a tarball.  This enables other projects re-using
 X server codebase (e.g. VNC servers) to (re-)use officially
 Debian-supported version of the X xserver for their builds.
 .
 Unless you are building a software product using X server sources,
 you probably want xserver-xlibre and/or xserver-xlibre-core instead.
Provides:
 xorg-server-source (= ${binary:Version}),
Conflicts:
 xorg-server-source,

Package: xserver-xlibre-legacy
Architecture: any
Depends:
 xserver-xlibre-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Breaks:
 x11-common (<< 1:7.7+10~),
 xserver-xorg-core (<< 2:1.17.2-3~),
Replaces:
 x11-common (<< 1:7.7+10~),
 xserver-xorg-core (<< 2:1.17.2-3~),
Description: setuid root XLibre server wrapper
 This package provides a wrapper for the XLibre X server, which is
 necessary for legacy drivers and non-Linux kernels.
Provides:
 xserver-xorg-legacy (= ${binary:Version}),
Conflicts:
 xserver-xorg-legacy,
