=== debian/tests/control ===
Tests:
 xvfb-run,
Depends:
 x11-utils,
 xauth,
 xvfb,
Restrictions:
 allow-stderr,
 superficial,
