## xlibre-server 25.1.0

=== meson_options.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
        description: 'Enable Xorg X Server')
 option('xephyr', type: 'boolean', value: false,
        description: 'Enable Xephyr nested X server')
+option('xfbdev', type: 'boolean', value: false,
+       description: 'Enable the kdrive framebuffer device server')
 option('glamor', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Enable glamor (default yes for Xorg builds)')
 option('xnest', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
@@ -13,9 +15,14 @@
 option('xquartz', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Enable Xquartz X server')
 
-
-option('builder_addr', type: 'string', description: 'Builder address', value: 'xlibre@freelists.org')
-option('builder_string', type: 'string', description: 'Additional builder string')
+option('kdrive_kbd', type: 'boolean', value: true,
+       description: 'Build kbd driver for kdrive')
+option('kdrive_mouse', type: 'boolean', value: true,
+       description: 'Build mouse driver for kdrive')
+option('kdrive_evdev', type: 'boolean', value: true,
+       description: 'Build evdev driver for kdrive')
+option('kdrive_tslib', type: 'boolean', value: false,
+       description: 'Build kdrive tslib touchscreen support')
 
 option('log_dir', type: 'string')
 option('module_dir', type: 'string', value: 'xorg/modules',
@@ -25,6 +32,9 @@
         description: 'Root directory for legacy fonts. Default: from font-utils.pc or $datadir/fonts/X11')
 option('serverconfigdir', type: 'string',
         description: 'Miscellaneous server configuration files path. Default: $libdir/xorg')
+
+option('glx_dri', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
+        description: 'Build the dri-based glx backends. Default: true')
 
 option('glx', type: 'boolean', value: true)
 option('xdmcp', type: 'boolean', value: true)
@@ -42,10 +52,6 @@
 option('xkb_default_options', type: 'string')
 
 option('fallback_input_driver', type: 'string', value: 'auto')
-
-option('vendor_name', type: 'string', value: 'XLibre')
-option('vendor_name_short', type: 'string', value: 'XLibre')
-option('vendor_web', type: 'string', value: 'https://github.com/X11Libre/xserver')
 
 option('dtrace', type: 'boolean', value: false,
        description: 'Enable dtrace hooks')
@@ -74,6 +80,10 @@
        description: 'Enable systemd-notify support')
 option('systemd_logind', type: 'combo', choices: ['true', 'false', 'auto'], value: 'false',
        description: 'Enable systemd-logind integration')
+
+option('seatd_libseat', type: 'combo', choices: ['true', 'false', 'auto'], value: 'true',
+       description: 'Enable seatd-libseat integration')
+
 option('vgahw', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Xorg VGA access module')
 option('dpms', type: 'boolean', value: true,
@@ -84,8 +94,6 @@
        description: 'ScreenSaver extension')
 option('xres', type: 'boolean', value: true,
        description: 'XRes extension')
-option('xace', type: 'boolean', value: true,
-       description: 'X-ACE extension')
 option('xselinux', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'XSELINUX extension')
 option('namespace', type: 'boolean', value: true,
@@ -110,8 +118,6 @@
        description: 'AGP support')
 option('sha1', type: 'combo', choices: ['libc', 'CommonCrypto', 'CryptoAPI', 'libmd', 'libsha1', 'libnettle', 'libgcrypt', 'libcrypto', 'auto'], value: 'auto',
        description: 'SHA1 implementation')
-option('xf86-input-inputtest', type: 'boolean', value: true,
-       description: 'Test input driver support on Xorg')
 option('tests', type: 'boolean', value: true,
        description: 'Build tests for the X server on platforms that support it')
 
@@ -148,6 +154,16 @@
 option('docs-pdf', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
         description: 'Whether to build PDF version of documentation. Setting is ignored if documentation is not built.')
 
+# optional xfree86 DDX drivers
+option('xf86-input-inputtest', type: 'boolean', value: true,
+       description: 'Test input driver support on XLibre')
+
+# legacy nvidia driver quirks
+option('legacy_nvidia_padding', type: 'boolean', value: false,
+        description: 'EXPERT ONLY: Add a padding to ScreenRec to match an older ABI for legacy NVidia drivers')
+option('legacy_nvidia_340x', type: 'boolean', value: true,
+        description: 'Extra entrypoints for old Nvidia 340x proprietary driver')
+
 # testsuite fine tuning - some things might not run everywhere
 option('test_rendercheck_triangles', type: 'boolean', value: false,
        description: 'testsuite: run rendercheck triangles tests (might fail on Xephyr)')
