=== debian/changelog ===
xlibre-server (2:25.1.0-1+genuen6u1) unstable; urgency=medium

  * integrated @stefan11111's Xfbdev (kdrive-based framebuffer Xserver)
  * seatd support in the upstream (hence, removed the quilt patch)
  * config: pattern matching for device classes and MatchLayout in
    OutputClass
  * configurable search paths for certain modules
  * added Dragonfly BSD, FreeBSD, NetBSD, Win32 (mingw32)
  * all now building with -Werror
  * building all drivers in CI (except NetBSD-only wsfb)
  * mirrors of our build dependencies
  * enabled tests on CI builds
  * xfree86: cleaned more unused exported SDK functions
  * simplified (most of) reply send paths to new rpcbuf helpers
  * incorporated xtrans and heavily trimmed it down
  * dropped internal server reset
  * replaced XACE hooks by simple callbacks
  * dropped lots of dead code
  * New upstream version 25.1.0

 -- Aitor <aitor@genuen.org>  Sun, 28 Dec 2025 11:14:15 +0100
