=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xlibre-server
 Section: x11
 Priority: optional
-Maintainer: Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
+Maintainer: Aitor <aitor@genuen.org>
 Uploaders: apebl <a@pebl.cc>
 Build-Depends:
  debhelper-compat (= 12),
@@ -77,7 +77,7 @@
 Build-Depends-Indep: xz-utils
 Standards-Version: 3.9.8
 Rules-Requires-Root: binary-targets
-Origin: Gnuinos
+Origin: Genuen
 Vcs-Git: https://github.com/xlibre-deb/xlibre-server.git
 Vcs-Browser: https://github.com/xlibre-deb/xlibre-server
 Homepage: https://github.com/X11Libre
