=== debian/rules ===
--- 
+++ 
@@ -50,11 +50,6 @@
 endif
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_test --builddirectory=debian/build/main -- -j1 --verbose
-	# Check basic functionality of Xvfb
-	PATH="debian/build/main/hw/vfb:$$PATH" sh debian/local/xvfb-run -a -e /proc/self/fd/2 -s -noreset xdpyinfo
-endif
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=debian/build/main \
